Create Release Bundle v2 Version

Creates a new Release Bundle v2, uniquely identified by a combination of repository key, name, and version. You can create a Release Bundle version using one or a combination of the following source types AQL, Artifacts, Packages, Builds, or Release Bundles.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
boolean
Defaults to true

Whether to create the bundle asynchronously

boolean
Defaults to true

Whether to fail fast on errors

string

The project key used to determine the Release Bundles repository. By convention, each project may contain only one Release Bundles system repository with the name -release-bundles-v2. This query parameter may be used instead of repository_key.

string

The Release Bundles repository identifier that identifies where a Release Bundle version resides. If this parameter and the project query parameter are not specified, the default value of release-bundles-v2 is assumed.

Body Params

Release bundle creation request containing bundle name, version, source type, and source configurations

string
required

Release bundle name. Must begin with a letter, underscore, or digit and consist of letters, underscores, dots, hyphens, or digits.

string
required

Release bundle version. Must begin with a letter, underscore, or digit and consist of letters, underscores, dots, hyphens, plus signs, or digits.

boolean
Defaults to false

Whether to skip Docker manifest resolution during bundle creation

string
enum

Type of source for the bundle. Supported values are 'aql' (Artifactory Query Language), 'builds', 'artifacts', 'release_bundles', or 'packages'.

Allowed:
source
object

Single source configuration object. The structure depends on the source_type. For artifacts, it may contain path patterns. For builds, it may contain build name and number. For AQL, it may contain AQL query.

sources
array of objects

Multiple source configurations. Use this when you need to include multiple sources in the bundle. Each source object structure depends on the source_type.

sources
string
length ≤ 128

Optional tag to assign to the release bundle. Must not contain spaces or special characters except hyphens, underscores, and dots.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Choose an example:
application/json